org.apache.lucene.queryparser.flexible.standard.nodes

## Class PointRangeQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode<PointQueryNode>
    - - org.apache.lucene.queryparser.flexible.standard.nodes.PointRangeQueryNode

- All Implemented Interfaces:
    Cloneable, FieldableNode, QueryNode, RangeQueryNode<FieldValuePairQueryNode<?>>

      public class PointRangeQueryNode
      extends AbstractRangeQueryNode<PointQueryNode>

  This query node represents a range query composed by `PointQueryNode` bounds, which means the bound values are `Number`s.
  See Also:
    `PointQueryNode`, `AbstractRangeQueryNode`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PointsConfig` | `numericConfig`

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointRangeQueryNode(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig numericConfig)` Constructs a `PointRangeQueryNode` object using the given `PointQueryNode` as its bounds and `PointsConfig`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PointsConfig` | `getPointsConfig()` Returns the `PointsConfig` associated with the lower and upper bounds.
    `void` | `setBounds(PointQueryNode lower, PointQueryNode upper, boolean lowerInclusive, boolean upperInclusive, PointsConfig pointsConfig)` Sets the upper and lower bounds of this range query node and the `PointsConfig` associated with these bounds.
    `String` | `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode

      `getField, getLowerBound, getUpperBound, isLowerInclusive, isUpperInclusive, setBounds, setField, toQueryString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

      `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- - ### Field Detail

    - #### numericConfig

          public PointsConfig numericConfig

  - ### Constructor Detail

    - #### PointRangeQueryNode

          public PointRangeQueryNode(PointQueryNode lower,
                                     PointQueryNode upper,
                                     boolean lowerInclusive,
                                     boolean upperInclusive,
                                     PointsConfig numericConfig)
                              throws QueryNodeException

      Constructs a `PointRangeQueryNode` object using the given `PointQueryNode` as its bounds and `PointsConfig`.
      Parameters:
        `lower` - the lower bound
        `upper` - the upper bound
        `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
        `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
        `numericConfig` - the `PointsConfig` that represents associated with the upper and lower bounds
      Throws:
        `QueryNodeException`
      See Also:
        `setBounds(PointQueryNode, PointQueryNode, boolean, boolean, PointsConfig)`

  - ### Method Detail

    - #### setBounds

          public void setBounds(PointQueryNode lower,
                                PointQueryNode upper,
                                boolean lowerInclusive,
                                boolean upperInclusive,
                                PointsConfig pointsConfig)
                         throws QueryNodeException

      Sets the upper and lower bounds of this range query node and the `PointsConfig` associated with these bounds.
      Parameters:
        `lower` - the lower bound
        `upper` - the upper bound
        `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
        `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
        `pointsConfig` - the `PointsConfig` that represents associated with the upper and lower bounds
      Throws:
        `QueryNodeException`

    - #### getPointsConfig

          public PointsConfig getPointsConfig()

      Returns the `PointsConfig` associated with the lower and upper bounds.
      Returns:
        the `PointsConfig` associated with the lower and upper bounds

    - #### toString

          public String toString()

      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>
      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `AbstractRangeQueryNode<PointQueryNode>`
      See Also:
        `QueryNode.toString()`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.